aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorLeonid Logvinov <logvinov.leon@gmail.com>2017-06-05 19:26:52 +0800
committerLeonid Logvinov <logvinov.leon@gmail.com>2017-06-05 19:26:52 +0800
commitf85f546f9f627e0f25492966d89bfbc79d69d957 (patch)
treed9b0bea78b6f6aa85f5fd613f88c2d57083a958b /scripts
parenteb5c9ae70886cb1a14ae154f363f052a76b24479 (diff)
downloaddexon-sol-tools-f85f546f9f627e0f25492966d89bfbc79d69d957.tar
dexon-sol-tools-f85f546f9f627e0f25492966d89bfbc79d69d957.tar.gz
dexon-sol-tools-f85f546f9f627e0f25492966d89bfbc79d69d957.tar.bz2
dexon-sol-tools-f85f546f9f627e0f25492966d89bfbc79d69d957.tar.lz
dexon-sol-tools-f85f546f9f627e0f25492966d89bfbc79d69d957.tar.xz
dexon-sol-tools-f85f546f9f627e0f25492966d89bfbc79d69d957.tar.zst
dexon-sol-tools-f85f546f9f627e0f25492966d89bfbc79d69d957.zip
Add script to run UMD tests
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/test_umd.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/scripts/test_umd.sh b/scripts/test_umd.sh
new file mode 100755
index 000000000..56517d32c
--- /dev/null
+++ b/scripts/test_umd.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env bash
+# This script runs umd tests and cleans up after them while preserving the `return_code` for CI
+# UMD tests should be only run after the commonjs build cause they reuse some of the commonjs build artefacts
+run-s substitute_umd_bundle run_mocha
+return_code=$?
+npm run clean
+exit $return_code